Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.portlet.state
Class ValueManager

    java.lang.Object
      org.jboss.portal.core.impl.portlet.state.ValueManager

    public class ValueManager

extends java.lang.Object

A manager handling type conversion. For now we handle only basic types : java.lang.String, integer and boolean.

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary
`static int` | `TYPE_BOOLEAN` Represents a boolean type.
`static int` | `TYPE_FLOAT` Represents a boolean type.
`static int` | `TYPE_INTEGER` Represents a integer type.
`static int` | `TYPE_STRING` Represents a string type.

Constructor Summary
`ValueManager()`

Method Summary
`static TypedStringArray` | `toTypedStringArray(org.jboss.portal.common.value.Value value)`
`static org.jboss.portal.common.value.Value` | `toValue(TypedStringArray tsa)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_STRING

    public static final int TYPE_STRING

  Represents a string type.

  See Also:
    Constant Field Values

### TYPE_INTEGER

    public static final int TYPE_INTEGER

  Represents a integer type.

  See Also:
    Constant Field Values

### TYPE_BOOLEAN

    public static final int TYPE_BOOLEAN

  Represents a boolean type.

  See Also:
    Constant Field Values

### TYPE_FLOAT

    public static final int TYPE_FLOAT

  Represents a boolean type.

  See Also:
    Constant Field Values

Constructor Detail

### ValueManager

    public ValueManager()

Method Detail

### toValue

    public static org.jboss.portal.common.value.Value toValue(TypedStringArray tsa)

### toTypedStringArray

    public static TypedStringArray toTypedStringArray(org.jboss.portal.common.value.Value value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD